Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 977122 - Review Request: nodejs-grunt-cli - The grunt command-line interface
Summary: Review Request: nodejs-grunt-cli - The grunt command-line interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 977128 977134
Blocks: nodejs-reviews 969823 977123 977124 977125 977126 977127 js-sizzle
TreeView+ depends on / blocked
 
Reported: 2013-06-23 16:56 UTC by Jamie Nguyen
Modified: 2014-03-19 21:17 UTC (History)
3 users (show)

Fixed In Version: nodejs-grunt-cli-0.1.11-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-04 02:45:34 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-06-23 16:56:37 UTC
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-cli.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-0.4.1-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
The grunt command-line interface.

Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-07 14:50:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
(MIT)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
bash-completion issue described below.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
Some notes below.

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
(nodejs style)
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
Notes below.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-cli-0.1.9-1.fc19.noarch.rpm
nodejs-grunt-cli.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/resolve /usr/lib/node_modules/resolve
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/findup-sync /usr/lib/node_modules/findup-sync
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/nopt /usr/lib/node_modules/nopt
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

OK.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-cli
nodejs-grunt-cli.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/resolve /usr/lib/node_modules/resolve
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/findup-sync /usr/lib/node_modules/findup-sync
nodejs-grunt-cli.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-cli/node_modules/nopt /usr/lib/node_modules/nopt
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

OK.

Requires
--------
nodejs-grunt-cli (rpmlib, GLIBC filtered):
    /usr/bin/env <------------------------------ should go away
    config(nodejs-grunt-cli)
    nodejs(engine)
    npm(findup-sync)
    npm(grunt)
    npm(nopt)
    npm(resolve)

Provides
--------
nodejs-grunt-cli:
    config(nodejs-grunt-cli)
    nodejs-grunt-cli
    npm(grunt-cli)


Source checksums
----------------
http://registry.npmjs.org/grunt-cli/-/grunt-cli-0.1.9.tgz :
  CHECKSUM(SHA256) this package     : d88267d44d544f5ff52d68b885916cbe16639e50898ad84bde18d39fbc44bec3
  CHECKSUM(SHA256) upstream package : d88267d44d544f5ff52d68b885916cbe16639e50898ad84bde18d39fbc44bec3


1. Summary should be change to something more descriptive: "Command-line interface for the JavaScript testing framework grunt" or something.
%description should get an additional sentence that says what this is useful for, for people unintimiate with nodejs/grunt/javascript.

2. Bash completion file should go to %{_datadir}/bash-completion/completions/grunt.

3. /usr/bin/env should be sed'ded away from /usr/bin/grunt.

4. There are some checks which could be run with grunt. I'm not sure how useful/imporant they are.

5. Naming non-issue: should it be nodejs-grunt-cli or grunt-cli? It's a bit of a borderline case, and I think that nodejs-grunt-cli is actually the better option.

Comment 3 Jens Petersen 2014-01-04 08:15:10 UTC
Ping?

Comment 4 Jamie Nguyen 2014-01-11 14:56:51 UTC
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-cli.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-cli-0.1.11-1.fc20.src.rpm

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.11-1
- update to upstream release 0.1.11
- improve description and summary
- install bash-completion file in the correct place


(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> 5. Naming non-issue: should it be nodejs-grunt-cli or grunt-cli? It's a bit
> of a borderline case, and I think that nodejs-grunt-cli is actually the
> better option.

I'd be inclined to stick with current naming.

Comment 5 Zbigniew Jędrzejewski-Szmek 2014-01-11 19:02:24 UTC
I see no issues.

Package is APPROVED.

Comment 6 Jamie Nguyen 2014-01-11 20:13:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-cli
Short Description: Command-line interface for Grunt, the JavaScript testing framework
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-01-13 13:23:37 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-13 19:52:47 UTC
nodejs-grunt-cli-0.1.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-cli-0.1.11-1.fc20

Comment 9 Fedora Update System 2014-01-13 19:53:15 UTC
nodejs-grunt-cli-0.1.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-cli-0.1.11-1.fc19

Comment 10 Fedora Update System 2014-01-13 19:53:55 UTC
nodejs-grunt-cli-0.1.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-grunt-cli-0.1.11-1.el6

Comment 11 Fedora Update System 2014-01-14 20:55:37 UTC
nodejs-grunt-cli-0.1.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-02-04 02:45:34 UTC
nodejs-grunt-cli-0.1.11-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-02-04 02:50:19 UTC
nodejs-grunt-cli-0.1.11-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-02-20 07:02:35 UTC
nodejs-grunt-cli-0.1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.